
import commands
import time
import string
import webiopi
from subprocess import call

GPIO = webiopi.GPIO
RX = 4 
TX = 17 

def get_remote_name():
	line = commands.getoutput('irsend LIST "" ""').split('\n')[0]
	remote = line.split()[1]
	print remote
	return remote

def start_transmit(remote, msg):
	cmd = ['irsend', 'SEND_START', remote, msg]
	call(cmd) 
	print cmd

def stop_transmit(remote, msg):
	cmd = ['irsend', 'SEND_STOP', remote, msg]
	call(cmd) 
	print cmd

GPIO.setFunction(RX, GPIO.IN)
GPIO.setFunction(TX, GPIO.OUT)

server = webiopi.Server(port=8000, login="pi", password="raspberry")
#server = webiopi.Server(port=8000, passwdfile="/etc/webiopi/passwd") 

server.addMacro(get_remote_name)
server.addMacro(start_transmit)
server.addMacro(stop_transmit)

webiopi.runLoop()

server.stop()

GPIO.setFunction(RX, GPIO.IN)
GPIO.setFunction(TX, GPIO.IN)

